apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: prod-atlantis
  namespace: prod-atlantis
rules:
- apiGroups:
  - ""
  resourceNames:
  - prod-atlantis-appsettings
  resources:
  - configmaps
  verbs:
  - get
  - watch
- apiGroups:
  - ""
  resourceNames:
  - azure-keyvault
  - prod-atlantis-redis
  resources:
  - secrets
  verbs:
  - get
  - watch
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: prod-atlantis
  namespace: prod-atlantis
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: prod-atlantis
subjects:
- kind: ServiceAccount
  name: prod-atlantis
  namespace: prod-atlantis
